%define peardir /usr/share/pear
%define xmldir  /var/lib/pear

Summary: PEAR: Horde Date package
Name: Horde_Date
Version: 2.4.1
Release: 1%{?dist}
License: LGPL-2.1
Group: Development/Libraries
Source0: http://pear.horde.org/get/Horde_Date-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://pear.horde.org/package/Horde_Date
BuildRequires:       php-pear(PEAR) >= 1.4.7
BuildRequires: php-channel(pear.horde.org)
Requires: Horde_Role >= 1.0.0
Requires: Horde_Exception >= 2.0.0
Requires: Horde_Exception < 3.0.0alpha1
Requires: Horde_Nls >= 2.0.0
Requires: Horde_Nls < 3.0.0alpha1
Requires: Horde_Translation >= 2.0.0
Requires: Horde_Translation < 3.0.0alpha1
Requires: php-pear(PEAR) >= 1.7.0
Requires: php-channel(pear.horde.org)
BuildArch: noarch

Provides:       %{name} = %{version}

%description
Package for creating and manipulating dates.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=%{pear_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -d horde_dir=%{pear_hordedir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

#mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Date.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Date.xml >/dev/null || :

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Date >/dev/null || :
fi

%files
%defattr(-,root,root)
#%doc docs/Horde_Date/*
%{peardir}/*
%{xmldir}/Horde_Date.xml

%changelog
* Sun Sep 10 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 2.4.1-1  
- Updated to 2.4.1

* Sat Jun 24 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 2.4.0-1  
- Updated to 2.4.0

* Sun Dec 18 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.3.2-1  
- Updated to 2.3.2

* Wed Jul 27 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.3.1-1  
- Updated to 2.3.1

* Wed Mar 23 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.3.0-1  
- Updated to 2.3.0

* Sun Feb 7 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.2.0-1  
- Updated to 2.2.0

* Sat Aug 1 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.1.1-1  
- Updated to 2.1.1
	
* Wed Jun 6 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.1.0-1  
- Updated to 2.1.0

* Sat Jan 10 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.13-1  
- Updated to 2.0.13

* Mon Aug 4 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.12-1  
- Updated to 2.0.12

* Tue Jul 1 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.11-1  
- Updated to 2.0.11

* Wed May 21 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.10-1  
- Updated to 2.0.10

* Thu Apr 3 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.9-1  
- Updated to 2.0.9

* Wed Mar 5 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.8-1
- Updated to 2.0.8

* Wed Oct 16 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.7-1
- Updated to 2.0.7

* Mon Jun 3 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.0.6-1
- Initial release for SME Server
- Original build from pear make-rpm-spec
