%define peardir /usr/share/pear
%define xmldir  /var/lib/pear

Summary: PEAR: Horde Session Handler API
Name: Horde_SessionHandler
Version: 2.3.0
Release: 1%{?dist}
License: LGPL-2.1
Group: Development/Libraries
Source0: http://pear.horde.org/get/Horde_SessionHandler-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://pear.horde.org/package/Horde_SessionHandler
BuildRequires:       php-pear(PEAR) >= 1.4.7
BuildRequires: php-channel(pear.horde.org)
Requires: Horde_Role >= 1.0.0
Requires: Horde_Exception >= 2.0.0
Requires: Horde_Exception < 3.0.0alpha1
Requires: Horde_Util >= 2.0.0
Requires: Horde_Util < 3.0.0alpha1
Requires: php-pear(PEAR) >= 1.7.0
BuildRequires: php-channel(pear.horde.org)
Requires: php-channel(pear.horde.org)
BuildArch: noarch

Provides:       %{name} = %{version}

%description
Horde_SessionHandler defines an API for implementing custom session
handlers for PHP.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=%{pear_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -d horde_dir=%{pear_hordedir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

#mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_SessionHandler.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_SessionHandler.xml >/dev/null || :

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_SessionHandler >/dev/null || :
fi

%files
%defattr(-,root,root)
#%doc docs/Horde_SessionHandler/*
%{peardir}/*
%{xmldir}/Horde_SessionHandler.xml

%changelog
* Sat Jan 23 2021 John H. Bennett III <bennettj@johnbennettservices.com> - 2.3.0-1
- Updated to 2.3.0

* Sat Mar 4 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 2.2.9-1
- Updated to 2.2.9

* Mon Sep 5 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.2.8-1
- Updated to 2.2.8

* Sun Feb 7 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.2.7-1
- Updated to 2.2.7

* Mon Jan 18 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.2.6-1
- Updated to 2.2.6

* Fri Oct 23 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.2.5-1
- Updated to 2.2.5

* Wed Mar 5 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.2.4-1
- Updated to 2.2.4

* Fri Aug 30 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.2.3-1
- Updated to 2.2.3

* Fri Jul 26 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.2.1-1
- Updated to 2.2.1

* Tue Jun 4 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.1.0-1
- Initial release for SME Server
- Original build from pear make-rpm-spec
