%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear
%global pear_name Net_SMTP

Summary: PEAR: An implementation of the SMTP protocol
Name:  php-pear-Net-SMTP
Version: 1.6.3
Release: 1%{?dist}
License: PHP License
Group: Development/Libraries
Source0: http://pear.php.net/get/Net_SMTP-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://pear.php.net/package/Net_SMTP
BuildRequires:  php-pear(PEAR) >= 1.4.7

Requires:  php-pear(Net_Socket) >= 1.0.7
Requires: php-pear(PEAR) >= 1.4.3

Provides:       php-pear(%{pear_name}) = %{version}

BuildArch: noarch

%description
Provides an implementation of the SMTP protocol using PEAR's Net_Socket
class.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_SMTP.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_SMTP.xml >/dev/null || :

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_SMTP >/dev/null || :
fi

%files
%defattr(-,root,root)
%doc docs/Net_SMTP/*
%{peardir}/*
%{xmldir}/Net_SMTP.xml


%changelog
* Sun Aug 2 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 1.6.3-1
- Updated to 1.6.3

* Mon Jul 15 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 1.6.2-1
- Original from pear-make-rpm-spec.

