%define peardir /usr/share/pear
%define xmldir  /var/lib/pear
%define apachegroup www

Summary: PEAR: A web based webmail system
Name: imp-h5
Version: 6.2.27
Release: 1.1%{?dist}
License: GPL-2.0
Group: Development/Libraries
Source0: http://pear.horde.org/get/imp-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://pear.horde.org/package/imp
BuildRequires:       php-pear(PEAR) >= 1.4.7
BuildRequires: php-channel(pear.horde.org)
Requires: Horde_Role >= 1.0.0
Requires: horde >= 5.0.0
Requires: horde < 6.0.0alpha1
Requires: Horde_Auth >= 2.0.0
Requires: Horde_Auth < 3.0.0alpha1
Requires: Horde_Browser >= 2.0.0
Requires: Horde_Browser < 3.0.0alpha1
Requires: Horde_Cache >= 2.0.0
Requires: Horde_Cache < 3.0.0alpha1
Requires: Horde_Compress >= 2.0.0
Requires: Horde_Compress < 3.0.0alpha1
Requires: Horde_Core >= 2.0.0
Requires: Horde_Core < 3.0.0alpha1
Requires: Horde_Crypt >= 2.0.0
Requires: Horde_Crypt < 3.0.0alpha1
Requires: Horde_Css_Parser >= 1.0.0
Requires: Horde_Css_Parser < 2.0.0alpha1
Requires: Horde_Date >= 2.0.0
Requires: Horde_Date < 3.0.0alpha1
Requires: Horde_Editor >= 2.0.0
Requires: Horde_Editor < 3.0.0alpha1
Requires: Horde_Exception >= 2.0.0
Requires: Horde_Exception < 3.0.0alpha1
Requires: Horde_Icalendar >= 2.0.0
Requires: Horde_Icalendar < 3.0.0alpha1
Requires: Horde_Image >= 2.0.0
Requires: Horde_Image < 3.0.0alpha1
Requires: Horde_Imap_Client >= 2.0.0
Requires: Horde_Imap_Client < 3.0.0alpha1
Requires: Horde_Itip >= 2.0.0
Requires: Horde_Itip < 3.0.0alpha1
Requires: Horde_ListHeaders >= 1.0.0
Requires: Horde_ListHeaders < 2.0.0alpha1
Requires: Horde_LoginTasks >= 2.0.0
Requires: Horde_LoginTasks < 3.0.0alpha1
Requires: Horde_Mail >= 2.0.0
Requires: Horde_Mail < 3.0.0alpha1
Requires: Horde_Mail_Autoconfig >= 1.0.0
Requires: Horde_Mail_Autoconfig < 2.0.0alpha1
Requires: Horde_Mime >= 2.0.0
Requires: Horde_Mime < 3.0.0alpha1
Requires: Horde_Mime_Viewer >= 2.0.0
Requires: Horde_Mime_Viewer < 3.0.0alpha1
Requires: Horde_Nls >= 2.0.0
Requires: Horde_Nls < 3.0.0alpha1
Requires: Horde_Notification >= 2.0.0
Requires: Horde_Notification < 3.0.0alpha1
Requires: Horde_Perms >= 2.0.0
Requires: Horde_Perms < 3.0.0alpha1
Requires: Horde_Secret >= 2.0.0
Requires: Horde_Secret < 3.0.0alpha1
Requires: Horde_Serialize >= 2.0.0
Requires: Horde_Serialize < 3.0.0alpha1
Requires: Horde_SpellChecker >= 2.0.0
Requires: Horde_SpellChecker < 3.0.0alpha1
Requires: Horde_Stream >= 1.0.0
Requires: Horde_Stream < 2.0.0alpha1
Requires: Horde_Stream_Filter >= 2.0.0
Requires: Horde_Stream_Filter < 3.0.0alpha1
Requires: Horde_Support >= 2.0.0
Requires: Horde_Support < 3.0.0alpha1
Requires: Horde_Text_Filter >= 2.0.0
Requires: Horde_Text_Filter < 3.0.0alpha1
Requires: Horde_Text_Flowed >= 2.0.0
Requires: Horde_Text_Flowed < 3.0.0alpha1
Requires: Horde_Tree >= 2.0.0
Requires: Horde_Tree < 3.0.0alpha1
Requires: Horde_Url >= 2.0.0
Requires: Horde_Url < 3.0.0alpha1
Requires: Horde_Util >= 2.1.0
Requires: Horde_Util < 3.0.0alpha1
Requires: Horde_Vfs >= 2.0.0  
Requires: Horde_Vfs < 3.0.0alpha1  
Requires: Horde_View >= 2.0.0
Requires: Horde_View < 3.0.0alpha1
Requires: php-pear(PEAR) >= 1.7.0
Requires: php-channel(pear.horde.org)
Obsoletes: imp-h3   
Obsoletes: dimp-h3   
Obsoletes: mimp-h3   
BuildArch: noarch

Provides:       %{name} = %{version}

%description
IMP, the Internet Mail Program, is one of the most popular and widely
deployed open source webmail applications in the world. It allows
universal, web-based access to IMAP and POP3 mail servers and provides
Ajax, mobile and traditional interfaces with a rich range of features
normally found only in desktop email clients.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=%{pear_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -d horde_dir=%{pear_hordedir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock


#mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/imp.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/imp.xml >/dev/null || :

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/imp >/dev/null || :
fi

%files
%defattr(-,root,root)
%doc %{pear_hordedir}
#%doc docs/imp/*
%{peardir}/*
%{xmldir}/imp.xml
%{_bindir}/imp-bounce-spam
%{_bindir}/imp-mailbox-decode
%{_bindir}/imp-query-imap-cache
%{_bindir}/imp-admin-upgrade

%changelog
* Thu Aug 27 2020 John H. Bennett III <bennettj@johnbennettservices.com> - 6.2.27-1
- Updated to imp 6.2.27

* Sun Jun 28 2020 John H. Bennett III <bennettj@johnbennettservices.com> - 6.2.26-1
- Updated to imp 6.2.26
- Temp workaround no longer needed

* Sun Jul 7 2019 John H. Bennett III <bennettj@johnbennettservices.com> - 6.2.24-1.1
- Modified the file, /home/httpd/html/horde/imp/lib/Compose.php to make it stop showing 
- errors when using new versions of PHP.  This is only a temp fix until the horde
- devs provide a permanent fix

* Tue May 28 2019 John H. Bennett III <bennettj@johnbennettservices.com> - 6.2.24-1
- Updated to imp 6.2.24

* Wed Jan 16 2019 John H. Bennett III <bennettj@johnbennettservices.com> - 6.2.23-1
- Updated to imp 6.2.23

* Sun Sep 30 2018 John H. Bennett III <bennettj@johnbennettservices.com> - 6.2.22-1
- Updated to imp 6.2.22

* Wed Sep 20 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 6.2.21-1
- Updated to imp 6.2.21

* Tue Aug 1 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 6.2.20-1
- Updated to imp 6.2.20

* Wed May 5 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 6.2.19-1
- Updated to imp 6.2.19

* Tue Mar 21 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 6.2.18-1
- Updated to imp 6.2.18

* Sun Dec 18 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 6.2.17-1
- Updated to imp 6.2.17

* Tue Jul 26 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 6.2.15-1
- Updated to imp 6.2.15

* Tue Apr 5 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 6.2.14-1
- Updated to imp 6.2.14

* Sun Feb 7 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 6.2.12-1
- Updated to imp 6.2.12

* Fri Oct 23 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 6.2.11-1
- Updated to imp 6.2.11

* Sat Aug 1 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 6.2.10-1
- Updated to imp 6.2.10

* Thu Jun 18 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 6.2.9-1
- Updated to imp 6.2.9

* Sat May 2 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 6.2.8-1
- Updated to imp 6.2.8

* Tue Feb 10 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 6.2.7-1
- Updated to imp 6.2.7

* Tue Jan 20 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 6.2.6-1
- Updated to imp 6.2.6

* Thu Dec 4 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 6.2.4-1
- Updated to imp 6.2.4

* Wed Oct 29 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 6.2.3-1
- Updated to imp 6.2.3

* Fri Sep 9 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 6.2.2-1
- Updated to imp 6.2.2

* Mon Aug 4 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 6.2.1-1
- Updated to imp 6.2.1

* Tue Jul 8 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 6.2.0-1
- Updated to imp 6.2.0

* Fri Mar 7 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 6.1.7-1
- Updated to imp 6.1.7

* Tue Nov 19 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 6.1.6-1
- Updated to imp 6.1.6

* Wed Oct 30 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 6.1.5-1
- Updated to imp 6.1.5

* Fri Jun 30 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 6.1.4-1
- Updated to imp 6.1.4

* Wed Jun 05 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 6.0.5-1
- Initial release for SME Server
- Original build from pear make-rpm-spec

