%define peardir /usr/share/pear
%define xmldir  /var/lib/pear

Summary: PEAR: An email filter rules manager
Name: ingo-h5
Version: 3.2.16
Release: 1.1%{?dist}
License: ASL
Group: Development/Libraries
Source0: http://pear.horde.org/get/ingo-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://pear.horde.org/package/ingo
BuildRequires:       php-pear(PEAR) >= 1.4.7
BuildRequires: php-channel(pear.horde.org)
Requires: Horde_Role >= 1.0.0
Requires: horde >= 5.0.0
Requires: horde < 6.0.0alpha1
Requires: Horde_Auth >= 2.0.0
Requires: Horde_Auth < 3.0.0alpha1
Requires: Horde_Autoloader >= 2.0.0
Requires: Horde_Autoloader < 3.0.0alpha1
Requires: Horde_Core >= 2.0.0
Requires: Horde_Core < 3.0.0alpha1
Requires: Horde_Exception >= 2.0.0
Requires: Horde_Exception < 3.0.0alpha1
Requires: Horde_Group >= 2.0.0
Requires: Horde_Group < 3.0.0alpha1
Requires: Horde_Form >= 2.0.0
Requires: Horde_Form < 3.0.0alpha1
Requires: Horde_Imap_Client >= 2.0.0
Requires: Horde_Imap_Client < 3.0.0alpha1
Requires: Horde_Mime >= 2.0.0
Requires: Horde_Mime < 3.0.0alpha1
Requires: Horde_Perms >= 2.0.0
Requires: Horde_Perms < 3.0.0alpha1
Requires: Horde_Share >= 2.0.0
Requires: Horde_Share < 3.0.0alpha1
Requires: Horde_Util >= 2.0.0
Requires: Horde_Util < 3.0.0alpha1
Requires: Horde_View >= 2.0.0
Requires: Horde_View < 3.0.0alpha1
Requires: php-pear(PEAR) >= 1.7.0
Requires: php-channel(pear.horde.org)
Obsoletes: ingo-h3   
BuildArch: noarch

Provides:       %{name} = %{version}

%description
Ingo is an email-filter management application. It is fully
internationalized, integrated with Horde and the IMP Webmail client, and
supports both server-side (Sieve, Procmail, Maildrop) and client-side
(IMAP) message filtering.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=%{pear_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -d horde_dir=%{pear_hordedir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

#mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/ingo.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/ingo.xml >/dev/null || :

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/ingo >/dev/null || :
fi

%files
%defattr(-,root,root)
#%doc docs/ingo/*
%doc %{pear_hordedir}
%{peardir}/*
%{xmldir}/ingo.xml
%{_bindir}/ingo-convert-prefs-to-sql
%{_bindir}/ingo-convert-sql-shares-to-sqlng
%{_bindir}/ingo-postfix-policyd
%{_bindir}/ingo-admin-upgrade

%changelog
* Sun Jul 7 2019 John H. Bennett III <bennettj@johnbennettservices.com> - 3.2.16-1.1
- Modified the file, /home/httpd/html/horde/ingo/lib/Script/Imap.php to make it stop showing 
- errors when using new versions of PHP.  This is only a temp fix until the horde
- devs provide a permanent fix

* Wed Sep 20 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 3.2.16-1
- Updated to ingo 3.2.16

* Wed May 5 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 3.2.15-1
- Updated to ingo 3.2.15

* Tue Mar 21 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 3.2.14-1
- Updated to ingo 3.2.14

* Sun Dec 18 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 3.2.13-1
- Updated to ingo 3.2.13

* Tue Sep 6 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 3.2.12-1
- Updated to ingo 3.2.12

* Tue Jul 26 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 3.2.11-1
- Updated to ingo 3.2.11

* Tue Apr 5 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 3.2.10-1
- Updated to ingo 3.2.10

* Sun Feb 7 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 3.2.8-1
- Updated to ingo 3.2.8

* Fri Oct 23 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 3.2.7-1
- Updated to ingo 3.2.7

* Sat Aug 1 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 3.2.6-1
- Updated to ingo 3.2.6

* Sat May 2 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 3.2.5-1
- Updated to ingo 3.2.5

* Tue Feb 10 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 3.2.4-1
- Updated to ingo 3.2.4

* Thu Dec 4 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 3.2.3-1
- Updated to ingo 3.2.3

* Wed Oct 29 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 3.2.2-1
- Updated to ingo 3.2.2

* Fri Sep 9 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 3.2.1-1
- Updated to ingo 3.2.1

* Tue Jul 8 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 3.2.0-1
- Updated to ingo 3.2.0

* Mon Mar 10 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 3.1.4-1
- Updated to ingo 3.1.4

* Wed Oct 30 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 3.1.3-1
- Updated to ingo 3.1.3

* Tue Jul 16 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 3.1.2-1
- Updated to ingo 3.1.2

* Tue Jun 4 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 3.0.4-1
- Initial release for SME Server
- Original build from pear make-rpm-spec

