%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear
%global pear_name Date_Holidays

Summary: Driver based class to calculate holidays
Name: php-pear-Date-Holidays
Version: 0.21.8
Release: 2%{?dist}
License: PHP License
Group: Development/Libraries
Source0: http://pear.php.net/get/Date_Holidays-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://pear.php.net/package/Date_Holidays

BuildRequires:  php-pear(PEAR) >= 1.4.7
Requires: php-pear(PEAR) >= 1.3.1
Requires: php-pear(Date)
Requires: php-pear(XML_Serializer)
Requires: php-pear(PEAR) >= 1.6.0
Provides:       php-pear(%{pear_name}) = %{version}

#BuildRequires: PEAR::PEAR >= 1.4.7
#Requires: PEAR::PEAR >= 1.3.1
#Requires: PEAR::Date
#Requires: PEAR::XML_Serializer
#Requires: PEAR::PEAR >= 1.6.0

BuildArch: noarch


%description
Date_Holidays helps you calculate the dates and titles of holidays and
other special celebrations. The calculation is driver-based so it is easy
to add new drivers that calculate a country's holidays. The methods of the
class can be used to get a holiday's date and title in various languages.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Date_Holidays.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Date_Holidays.xml >/dev/null || :

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Date_Holidays >/dev/null || :
fi

%files
%defattr(-,root,root)
%doc docs/Date_Holidays/*
%{peardir}/*
%{xmldir}/Date_Holidays.xml
/usr/bin/pear-dh-compile-translationfile 
/usr/bin/pear-dh-ini2xml

%changelog
* Mon May 6 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 0.28-1
- updated spec file requires section, and left original info remarked.

* Sun May 5 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 0.28-1
- Original from pear-make-rpm-spec.


